Package com.destroystokyo.paper.inventory

# Class ItemStackRecipeChoice

java.lang.Object
com.destroystokyo.paper.inventory.ItemStackRecipeChoice

All Implemented Interfaces:
  `Cloneable`, `Predicate<ItemStack>`, `RecipeChoice`

@Deprecated public class ItemStackRecipeChoice extends Object implements RecipeChoice
Deprecated.
Draft API
Allows crafting Items that require full matching itemstacks to complete the recipe for custom items

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.bukkit.inventory.RecipeChoice

`RecipeChoice.ExactChoice, RecipeChoice.MaterialChoice`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final List<ItemStack>`
`choices`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`ItemStackRecipeChoice(List<ItemStack> choices)`
Deprecated.
`ItemStackRecipeChoice(ItemStack choices)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`RecipeChoice`
`clone()`
Deprecated.
`ItemStack`
`getItemStack()`
Deprecated.
Gets a single item stack representative of this stack choice.
`boolean`
`test(ItemStack itemStack)`
Deprecated.

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### choices

protected final List<ItemStack> choices
Deprecated.

## Constructor Details

### ItemStackRecipeChoice

public ItemStackRecipeChoice(ItemStack choices)
Deprecated.

### ItemStackRecipeChoice

public ItemStackRecipeChoice(List<ItemStack> choices)
Deprecated.

## Method Details

### getItemStack

public ItemStack getItemStack()
Deprecated.
Description copied from interface: `RecipeChoice`
Gets a single item stack representative of this stack choice.

Specified by:
  `getItemStack` in interface `RecipeChoice`
Returns:
  a single representative item

### clone

public RecipeChoice clone()
Deprecated.

Specified by:
  `clone` in interface `RecipeChoice`
Overrides:
  `clone` in class `Object`

### test

public boolean test(ItemStack itemStack)
Deprecated.

Specified by:
  `test` in interface `Predicate<ItemStack>`
Specified by:
  `test` in interface `RecipeChoice`